Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V0.8 Release 4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.jdic.browser
Class WebBrowser

    java.lang.Object
      java.awt.Component
          java.awt.Canvas
              org.jdesktop.jdic.browser.WebBrowser

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class WebBrowser
extends java.awt.Canvas

A `WebBrowser` component represents a blank rectangular area of the screen onto which the application can display webpages or from which the application can trap events from the browser window. In order to show WebBrowser component in GUI, user need to add WebBrowser to a top-level container, such as `Frame`.

The class that is interested in processing a WebBrowser event should implement interface `WebBrowserListener`, and the object created with that class should use WebBrowser's `addWebBrowserListener` method to register as a listener.

The `WebBrowser` class has an inner class `Status`. User can use `getStatus` method to retrieve the `Status` object of the WebBrowser object. Querying status of this WebBrowser can be done by calling methods provided by the `Status` class.

See Also:
  `WebBrowserEvent`, `WebBrowserListener`, Serialized Form

Nested Class Summary
`static class` | `WebBrowser.Status` An inner class which is used for retrieving the WebBrowser's properties, such as the initialization status, back and forward status.

Nested classes/interfaces inherited from class java.awt.Canvas
`java.awt.Canvas.AccessibleAWTCanvas`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`WebBrowser()` Constructs a new `WebBrowser` object with no URL specified.
`WebBrowser(java.net.URL url)` Constructs a new `WebBrowser` with an URL specified.

Method Summary
`void` | `addNotify()` Overrides the same method of `java.awt.Canvas` in order to paint the browser window.
`void` | `addWebBrowserListener(WebBrowserListener listener)` Adds a `WebBrowserEvent` listener.
`void` | `back()` Navigates to the previous session history item.
`void` | `forward()` Navigates to the next session history item.
`WebBrowser.Status` | `getStatus()` Returns a `Status` object, which indicates the status of this `WebBrowser` object.
`java.net.URL` | `getURL()` Retrieves the URL that is currently being displayed.
`void` | `paint(java.awt.Graphics g)` Overrides the same method of `java.awt.Canvas` in order to paint the browser window.
`void` | `refresh()` Reloads the URL that is currently being displayed in the WebBrowser component.
`void` | `removeWebBrowserListener(WebBrowserListener listener)` Removes a `WebBrowserEvent` listener.
`void` | `setBounds(int x, int y, int w, int h)` Moves and resizes this component.
`static void` | `setDebug(boolean b)` Sets trace messages on or off.
`void` | `setURL()` Sets the document to be a blank page.
`void` | `setURL(java.net.URL url)` Navigates to a resource identified by an URL using HTTP GET method.
`void` | `setURL(java.net.URL url, java.lang.String postData)` Navigates to a resource identified by an URL using HTTP POST method.
`void` | `stop()` Stops loading of the current URL.
`protected boolean` | `willOpenURL(java.net.URL url)` Called before every navigation operation occurs.
`protected boolean` | `willOpenWindow()` Called before every new window is to be created.

Methods inherited from class java.awt.Canvas
`createBufferStrategy, createBufferStrategy, getAccessibleContext, getBufferStrategy, update`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFont, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebBrowser

    public WebBrowser()

  Constructs a new `WebBrowser` object with no URL specified.

### WebBrowser

    public WebBrowser(java.net.URL url)

  Constructs a new `WebBrowser` with an URL specified.

Method Detail

### addNotify

    public void addNotify()

  Overrides the same method of `java.awt.Canvas` in order to paint the browser window. On Windows system it is invoked by the system automatically, users are not recommended to call it.

  Overrides:
    `addNotify` in class `java.awt.Canvas`

### setBounds

    public void setBounds(int x,
                          int y,
                          int w,
                          int h)

  Moves and resizes this component. The new location of the top-left corner is specified by x and y, and the new size is specified by width and height.

  Overrides:
    `setBounds` in class `java.awt.Component`
  Parameters:
    `x` - - the new x-coordinate of this component
    `y` - - the new y-coordinate of this component
    `w` - - the new width of this component
    `h` - - the new height of this component

### addWebBrowserListener

    public void addWebBrowserListener(WebBrowserListener listener)

  Adds a `WebBrowserEvent` listener.

  Parameters:
    `listener` - object which implements WebBrowserListener interface.

### removeWebBrowserListener

    public void removeWebBrowserListener(WebBrowserListener listener)

  Removes a `WebBrowserEvent` listener.

  Parameters:
    `listener` - object which implements WebBrowserListener interface. If the listener was not in the listeners list, then no listener will be removed.

### getURL

    public java.net.URL getURL()

  Retrieves the URL that is currently being displayed.

  Returns:
    the current URL being display, or `null` if the WebBrowser object is not ready with initialization of itself.

### setURL

    public void setURL()

  Sets the document to be a blank page.

### setURL

    public void setURL(java.net.URL url)

  Navigates to a resource identified by an URL using HTTP GET method.

  Parameters:
    `url` - the URL to navigate.

### setURL

    public void setURL(java.net.URL url,
                       java.lang.String postData)

  Navigates to a resource identified by an URL using HTTP POST method.

  Parameters:
    `url` - the URL to navigate.
    `postData` - Data to send to the server during the HTTP POST transaction.

### back

    public void back()

  Navigates to the previous session history item.

### forward

    public void forward()

  Navigates to the next session history item.

### refresh

    public void refresh()

  Reloads the URL that is currently being displayed in the WebBrowser component.

### stop

    public void stop()

  Stops loading of the current URL.

### setDebug

    public static void setDebug(boolean b)

  Sets trace messages on or off. If on, the trace messages will be printed out in the console.

  Parameters:
    `b` - `true` if enable the trace messages; otherwise, `false`.

### getStatus

    public WebBrowser.Status getStatus()

  Returns a `Status` object, which indicates the status of this `WebBrowser` object.

  See Also:
    `WebBrowser.Status`

### willOpenURL

    protected boolean willOpenURL(java.net.URL url)

  Called before every navigation operation occurs. A subclass could override this method to change or block URL loading.

  Returns:
    `false` will prevent the the navigation from starting; otherwise `true`.

### willOpenWindow

    protected boolean willOpenWindow()

  Called before every new window is to be created. A subclass could override this method to prevent new window from popping up.

  Returns:
    `false` will prevent the new window from popping up; otherwise `true`.

### paint

    public void paint(java.awt.Graphics g)

  Overrides the same method of `java.awt.Canvas` in order to paint the browser window. On Linux and Unix systems it is invoked by the system automatically, users are not recommended to call it.

  Overrides:
    `paint` in class `java.awt.Canvas`
  Parameters:
    `g` - the specified graphics context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V0.8 Release 4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For more information and documentation on JDIC, see JDIC website.

That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, working code examples, license terms and bug report information.

Copyright (c) 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.